/* Style the works of photo */
.PageWorksPhoto {
    display: flex;
    flex-direction: column;
    align-items: flex-start;
    justify-content: flex-start;

    width: 100%;

    padding-left: 17px;
    padding-right: 17px;
}

    .PageWorksPhoto__Header {
        display: flex;
        flex-direction: column;
        align-items: center;
        justify-content: flex-start;

        width: 100%;

        margin-bottom: 47px;
    }

    @media screen and (max-width: 550px){
        .PageWorksPhoto__Header {
            justify-content: center;
        }
    }

        .PageWorksPhotoHeader__Titul {
            display: flex;
            flex-direction: row;
            align-items: center;
            justify-content: flex-end;

            color: rgb(217, 221, 225);

            width: 100%;
        }

        @media screen and (max-width: 550px){
            .PageWorksPhotoHeader__Titul {
                justify-content: center;
            }
        }

            .PageWorksPhotoHeader__Titul > span {
                color: rgb(247, 197, 47);

                margin-left: 4px;
                margin-right: 4px;
            }

        .PageWorksPhotoHeader__Title {
            display: flex;
            flex-direction: row;
            align-items: center;
            justify-content: flex-start;

            width: 100%;
        }

        @media screen and (max-width: 550px){
            .PageWorksPhotoHeader__Title {
                justify-content: center;
            }
        }

            .PageWorksPhotoHeader__Title > h2 {
                text-align: left;
            }

            @media screen and (max-width: 550px){
                .PageWorksPhotoHeader__Title > h2 {
                    text-align: center;
                }
            }

    .PageWorksPhoto__Block {
        display: grid;
        align-items: flex-start;
        justify-content: flex-start;

        grid-template-columns: repeat( auto-fit, minmax( 300px, 1fr ) );

        width: 100%;

        gap: 17px;
    }

        .PageWorksPhotoBlock__Item {
            display: flex;
            flex-direction: column;
            align-items: flex-start;
            justify-content: flex-start;

            position: relative;

            width: 100%;
            height: 100%;

            overflow: hidden;

            transition: 0.4s;
            box-shadow: 0 0 37px rgba(255, 237, 177, 0.1);
        }

            .PageWorksPhotoBlock__Item:hover {
                transition: 0.2s;
                box-shadow: 0 0 37px rgba(255, 237, 177, 0.3);
            }

            .PageWorksPhotoBlock__Item:nth-of-type( 1 ) {
                grid-column: span 2;
            }

            @media screen and (max-width: 775px){
                .PageWorksPhotoBlock__Item:nth-of-type( 1 ) {
                    grid-column: span 1;
                }
            }

            .PageWorksPhotoBlock__Item:nth-of-type( 2 ) {
                box-shadow: unset;
            }

            @media screen and (max-width: 775px){
                .PageWorksPhotoBlock__Item:nth-of-type( 2 ) {
                    display: none;
                }
            }

            @media screen and (max-width: 550px){
                .PageWorksPhotoBlock__Item:nth-of-type( 2 ) {
                    display: flex;

                    margin-top: 17px;
                    margin-bottom: 17px;
                }
            }

            .PageWorksPhotoBlockItem__Photo {
                display: flex;
                flex-direction: column;
                align-items: center;
                justify-content: center;

                width: 100%;
            }

                .PageWorksPhotoBlockItem__Photo > img {
                    border-radius: 3px;

                    width: 100%;
                    height: auto;

                    transition: 0.4s;
                    filter: grayscale(0.3);
                }

            .PageWorksPhotoBlockItem__Data {
                display: flex;
                flex-direction: column;
                align-items: flex-start;
                justify-content: center;

                background: url( '/wp-content/themes/sizif-app-version/assets/images/system/themes/sizif-themes-background-works-photo.svg' );
                background-size: cover;
                background-position: top right;
                background-repeat: no-repeat;

                position: absolute;
                left: 0;
                bottom: -100px;

                width: 100%;

                padding: 17px;

                opacity: 0.0;

                transition: 0.4s;
                filter: drop-shadow(0px -17px 37px rgba(255, 237, 177, 0.1));
            }

                .PageWorksPhotoBlock__Item:hover > .PageWorksPhotoBlockItem__Data {
                    transition: 0.2s;

                    bottom: 0;

                    opacity: 1.0;

                    filter: drop-shadow(0px -17px 37px rgba(255, 237, 177, 0.7));
                }

            .PageWorksPhotoBlock__Item:nth-of-type( 2 ) > .PageWorksPhotoBlockItem__Data {
                background: url( '/wp-content/themes/sizif-app-version/assets/images/system/themes/sizif-themes-background-works-photo-revers.svg' );
                background-size: cover;
                background-position: bottom right;

                top: -100px;
                bottom: unset;
            }

                .PageWorksPhotoBlock__Item:nth-of-type( 2 ):hover > .PageWorksPhotoBlockItem__Data {
                    transition: 0.2s;

                    top: 0;

                    opacity: 1.0;

                    filter: drop-shadow(0px 17px 37px rgba(255, 237, 177, 0.7));
                }

            .PageWorksPhotoBlockItemData__Block {
                display: flex;
                flex-direction: column;
                align-items: flex-start;
                justify-content: flex-start;

                width: 100%;
            }

                .PageWorksPhotoBlockItemDataBlock__Item {
                    display: flex;
                    flex-direction: column;
                    align-items: flex-start;
                    justify-content: flex-start;

                    width: 70%;

                    margin-bottom: 17px;
                }

                    .PageWorksPhotoBlockItemDataBlockItem__Header {
                        display: flex;
                        flex-direction: row;
                        align-items: center;
                        justify-content: flex-start;

                        width: 100%;

                        margin-bottom: 7px;
                    }

                        .PageWorksPhotoBlockItemDataBlockItemHeader__Icon {
                            display: flex;
                            flex-direction: row;
                            align-items: center;
                            justify-content: center;

                            border: 3px solid rgba(255, 237, 177, 0.1);
                            border-radius: 100%;

                            width: 36px;
                            height: 36px;
                            min-width: 36px;
                            min-height: 36px;
                        }

                            .PageWorksPhotoBlockItemDataBlockItemHeader__Icon > i {
                                background: rgb(60, 64, 68);
                                border-radius: 100%;
                                font-size: 16px;

                                padding: 7px;
                            }

                        .PageWorksPhotoBlockItemDataBlockItemHeaderIcon__Title {
                            display: flex;
                            flex-direction: row;
                            align-items: center;
                            justify-content: flex-start;

                            border-bottom: 2px solid rgba(255, 237, 177, 0.1);

                            width: 100%;

                            padding-bottom: 3px;
                            margin-bottom: 17px;
                        }

                            .PageWorksPhotoBlockItemDataBlockItemHeaderIcon__Title > span {
                                color: rgb(247, 197, 47);

                                margin-left: 7px;
                            }

                    .PageWorksPhotoBlockItemDataBlockItem__Links {
                        display: flex;
                        flex-direction: column;
                        align-items: flex-start;
                        justify-content: flex-start;

                        width: 100%;
                    }

                        .PageWorksPhotoBlockItemDataBlockItem__Links > a > i {
                            display: flex;
                            flex-direction: row;
                            align-items: center;
                            justify-content: center;

                            text-align: center;

                            width: 40px;
                            min-width: 40px;
                        }

            .PageWorksPhotoBlockItem__FullGallery {
                display: flex;
                flex-direction: column;
                align-items: center;
                justify-content: center;

                width: 100%;
                height: 100%;

                padding: 17px;
            }

                .PageWorksPhotoBlockItemFullGallery__Icon {
                    display: flex;
                    flex-direction: column;
                    align-items: center;
                    justify-content: center;

                    margin-bottom: 17px;

                    cursor: pointer;
                }

                    .PageWorksPhotoBlockItemFullGallery__Icon > img {
                        width: 100%;
                        height: auto;
                        max-width: 156px;

                        transition: 0.4s;
                        filter: drop-shadow(0px 0 37px rgba(255, 237, 177, 0.3));
                    }

                    .PageWorksPhotoBlockItemFullGallery__Icon:hover > img {
                        transition: 0.2s;
                        filter: drop-shadow(0px 0 37px rgba(255, 237, 177, 0.7));
                    }

                .PageWorksPhotoBlockItemFullGallery__Data {
                    display: flex;
                    flex-direction: column;
                    align-items: center;
                    justify-content: center;

                    width: 100%;
                }

                    .PageWorksPhotoBlockItemFullGalleryData__Name {
                        display: flex;
                        flex-direction: row;
                        align-items: center;
                        justify-content: center;

                        width: 100%;
                    }

                        .PageWorksPhotoBlockItemFullGalleryData__Name > h5 {
                            text-align: center;
                        }

                            .PageWorksPhotoBlockItemFullGalleryData__Name > h5 > a > i {
                                margin-right: 7px;
                            }

                    .PageWorksPhotoBlockItemFullGalleryData__Desc {
                        display: block;

                        color: rgb(217, 221, 225);
                        text-align: center;
                    }
